#ifndef __SMDELETEENGINE__
#define __SMDELETEENGINE__

#ifndef __SMSHAREDDATA__
#include "SMSharedData.h"
#endif

#ifndef __SMSCENE__
#include "SMScene.h"
#endif

typedef void (*SMDelete)(void *);

typedef struct SMDeleteEngine
{
    unsigned long deleteCallBackCount_;

    SMDelete * array_;
} SMDeleteEngine;

void InitDeleteEngine(void);

void SMSceneDelete(SMScene * inScene);
void SMGroupDelete(void *);
void SMFaceArrayDelete(void *);
void SMGridDelete(void *);
void SMPolygonDelete(void *);
void SMMeshDelete(void *);
void SMLineArrayDelete(void *);

#endif