#ifndef __SMEXPORTDXF__
#define __SMEXPORTDXF__

#ifndef __SMSHAREDDATA__
#include "SMSharedData.h"
#endif

#ifndef __SMSCENE__
#include "SMScene.h"
#endif

#include <stdio.h>

typedef void (*SMExport)(void *);

typedef struct SMExportDXFEngine
{
    unsigned long exportCallBackCount_;

    SMExport * array_;
    
    FILE * file_;
    
} SMExportDXFEngine;

void InitExportDXFEngine(void);

void SMSceneExportDXF(SMScene * inScene,FILE * inFile);
void SMGroupExportDXF(void *);
void SMFaceArrayExportDXF(void *);
void SMGridExportDXF(void *);
void SMPolygonExportDXF(void *);
void SMMeshExportDXF(void *);
void SMLineArrayExportDXF(void *);

#endif