#include "SMGroup.h"
#include <string.h>

SMGroup * SMGroupFindGroup(SMGroup * inGroup,char * inGroupName)
{
    SMGroup * tGroup=(SMGroup *) inGroup;
    unsigned long i;
    
    for(i=0;i<tGroup->subGroupCount_;i++)
    {
        if (*((unsigned long *) tGroup->subGroupArray_[i])==GROUP_ID)
        {
            SMGroup * fGroup=(SMGroup *) tGroup->subGroupArray_[i];
            
            if (!strcmp(fGroup->name_,inGroupName))
                return fGroup;
        }
    }
    
    return NULL;
}

void * SMGroupFindFirstTypedObject(SMGroup * inGroup,long inObjectID)
{
    SMGroup * tGroup=(SMGroup *) inGroup;
    unsigned long i;
    
    for(i=0;i<tGroup->subGroupCount_;i++)
    {
        if (*((unsigned long *) tGroup->subGroupArray_[i])==inObjectID)
        {
            return tGroup->subGroupArray_[i];
        }
    }
    
    return NULL;
}

void * SMGroupFindNextObjectAfter(SMGroup * inGroup,void * inObject)
{
    SMGroup * tGroup=(SMGroup *) inGroup;
    unsigned long i;
    
    for(i=0;i<tGroup->subGroupCount_;i++)
    {
        if (tGroup->subGroupArray_[i]==inObject)
        {
            return tGroup->subGroupArray_[i+1];
        }
    }
    
    return NULL;
}