#ifndef __SMMESH__
#define __SMMESH__

#ifndef __SMPOINT__
#include "SMPoint.h"
#endif

#define MESH_ID 4

typedef struct SMIndexedFace
{
    unsigned long index_[4];
} SMIndexedFace;

typedef struct SMMesh
{
    unsigned long objectID_;
    
    unsigned long verticesCount_;
    unsigned long facesCount_;
    
    SM3DPoint * arrayPoint_;
    SMIndexedFace * arrayFace_;
} SMMesh;

#endif