#ifndef __SMBOUNDING__
#define __SMBOUNDING__

#ifndef __SMSHAREDDATA__
#include "SMSharedData.h"
#endif

#ifndef __SMPOINT__
#include "SMPoint.h"
#endif

#ifndef __SMSCENE__
#include "SMScene.h"
#endif

typedef void (*SMGetMinMax)(void *,SMPoint *,SMPoint *);

typedef struct SMBoundingEngine
{
    unsigned long boundingCallBackCount_;
    
    SMGetMinMax * array_;
} SMBoundingEngine;

void InitBoundingEngine(void);

void SMSceneGetMinMax(SMScene * inScene);
void SMFaceArrayGetMinMax(void *,SMPoint * inOutMin,SMPoint * inOutMax);
void SMFaceGetMinMax(void *,SMPoint * inOutMin,SMPoint * inOutMax);
void SMGroupGetMinMax(void *,SMPoint * inOutMin,SMPoint * inOutMax);
void SMGridGetMinMax(void *,SMPoint * inOutMin,SMPoint * inOutMax);
void SMMeshGetMinMax(void *,SMPoint * inOutMin,SMPoint * inOutMax);
void SMPolygonGetMinMax(void *,SMPoint * inOutMin,SMPoint * inOutMax);
void SMLineArrayGetMinMax(void *,SMPoint * inOutMin,SMPoint * inOutMax);

#endif