#ifndef __SMNORMALENGINE__
#define __SMNORMALENGINE__

#ifndef __SMSHAREDDATA__
#include "SMSharedData.h"
#endif

#ifndef __SMSCENE__
#include "SMScene.h"
#endif

typedef void (*SMNormal)(void *);

typedef struct SMNormalEngine
{
    unsigned long normalCallBackCount_;

    SMNormal * array_;
} SMNormalEngine;

void InitNormalEngine(void);

void SMSceneNormal(SMScene * inScene);
void SMGroupNormal(void *);
void SMFaceArrayNormal(void *);
void SMGridNormal(void *);
void SMPolygonNormal(void *);
void SMMeshNormal(void *);
void SMLineArrayNormal(void *);

#endif