#ifndef __SMSCENE__
#define __SMSCENE__

#ifndef __SMPOINT__
#include "SMPoint.h"
#endif

#ifndef __SMGROUP__
#include "SMGroup.h"
#endif

#ifndef __SMCOLOR__
#include "SMColor.h"
#endif

typedef struct SMScene
{
    SMGroup * scene_;
        
    /* Bounding Box */
    
    SMPoint min_;
    SMPoint max_;
    
    /* Scene Color */
    
    SMColor ambient_;
    SMColor diffuse_;
    SMColor specular_;
    
} SMScene;

SMGroup * SMSceneFindGroup(SMScene *,char *);

#endif