#ifndef __SMFILE__
#define __SMFILE__

#include <stdio.h>

#define MAX_BUFFER 			32765
#define MAX_TEXTBUFFER		65535
#define MAX_LINE 			255

typedef struct SMFile
{
    FILE * file_;
    long fileSize_;
    
    char * buffer_;
    long bufferIndex_;
    long bufferSize_;
    long readIndex_;
    int reachedEnd_;
    
} SMFile;

SMFile * SMFileOpen(char * inPathName);
int SMFileClose(SMFile * inFile);
long SMFileCalcFileSize(SMFile * inFile);

int SMFileStartTextBuffer(SMFile * inFile);
int SMFileReadLineTextBuffer(SMFile * inFile,char * outString);
int SMFileEndTextBuffer(SMFile * inFile);

#endif