#ifndef __SMGROUP__
#define __SMGROUP__

#ifndef __SMCOLOR__
#include "SMColor.h"
#endif

#define GROUP_ID	0

typedef struct SMGroup
{
    unsigned long objectID_;
    
    char name_[256];
    
    SMAmbient	ambient_;
    SMDiffuse diffuse_;
    
    unsigned long subGroupCount_;
    
    void ** subGroupArray_;
} SMGroup;

SMGroup * SMGroupFindGroup(SMGroup *,char * inGroupName);
void * SMGroupFindFirstTypedObject(SMGroup *,long);
void * SMGroupFindNextObjectAfter(SMGroup *,void *);

#endif